Question managed by a remote engine

Question behaviour ::: qbehaviour_opaque
Maintained by Tim at Lone Pine Koala SanctuaryTim Hunt
This question behaviour uses web services to connect to other question engines like OpenMark or ounit, so that their questions can be used in a Moodle quiz.
Latest release:
158 sites
68 downloads
3 fans
Current versions available: 6

Opaque (http://docs.moodle.org/en/Development:Opaque) is the Open protocol for

accessing question engines. It can be used to add questions to a Moodle quiz from third party assessment systems that support the protocol, like OpenMark or ounit (http://code.google.com/p/ounit/) and possibly other question systems we don't know about.

As well as this question behaviour, you aslo need the associated question type https://moodle.org/plugins/qtype_opaque.


Sets

This plugin is part of set Open University.

Screenshots

Screenshot #0

Contributors

Tim at Lone Pine Koala Sanctuary
Tim Hunt (Lead maintainer)
Chris Nelson: Product owner
Please login to view contributors details and/or to contact them

Comments RSS

Show comments
  • Fri, Aug 17, 2012, 11:02 PM
    Is there a list of open source question engines similar to OpenMark that this plugin would work with?
  • Wed, Jan 15, 2014, 10:32 AM
    downloaded 2014010801 but upon installation dependency failed and was prompted that current version was older and required 2014010801. Any idea?
  • Tim at Lone Pine Koala Sanctuary
    Wed, Jan 15, 2014, 7:29 PM
    Have you installed/updated both qtype_opaque and qbehaviour_opaque?
  • Tim at Lone Pine Koala Sanctuary
    Mon, Jun 29, 2020, 6:27 AM
    Latest release works with Moodle 3.9.
Please login to post comments